Skip to content
Guides
API reference
stablecatalog:read

Get product by ID

Retrieve a specific product by ID

GET/v1/catalog/products/{productId}

Retrieve a specific product by ID

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

productId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/products/string"
{  "id": "string",  "storeId": "string",  "sellerId": null,  "sellerApprovalPolicy": null,  "name": "string",  "description": "string",  "slug": "string",  "summary": null,  "type": "product",  "condition": "new",  "discountPercentage": null,  "currency": null,  "taxRate": null,  "taxIncluded": null,  "brand": null,  "variants": [    {      "id": "string",      "name": "string",      "sku": "string",      "barcode": null,      "countryOfOrigin": null,      "hsCode": null,      "order": 0,      "isDefault": true,      "price": 0.1,      "compareAtPrice": null,      "costPrice": null,      "isDigital": true,      "trackInventory": true,      "allowBackorders": true,      "lowStockThreshold": 0,      "onHand": 0,      "committed": 0,      "available": 0,      "options": [        {          "name": "string",          "key": "string",          "value": "string"        }      ],      "images": [        {          "imageId": "string",          "order": 0,          "isPrimary": true        }      ],      "inventories": [        {          "id": "string",          "locationId": "string",          "onHand": 0,          "committed": 0,          "available": 0,          "incoming": 0,          "unavailable": 0,          "version": 0,          "createdOn": "2019-08-24T14:15:22Z",          "updatedOn": null        }      ],      "status": "outOfStock"    }  ],  "price": 0.1,  "compareAtPrice": null,  "costPrice": null,  "totalOnHand": 0,  "available": 0,  "committed": 0,  "totalVariants": 0,  "activeVariants": 0,  "vendor": null,  "tags": null,  "specifications": [    {      "name": "string",      "key": "string",      "value": "string"    }  ],  "images": [    {      "id": "string",      "url": "string",      "name": null,      "width": null,      "height": null,      "isPrimary": true,      "order": 0    }  ],  "category": null,  "bundleItems": [    {      "productId": "string",      "variantId": "string",      "productName": "string",      "variantName": "string",      "imageUrl": null,      "sku": null,      "unitPrice": 0.1,      "quantity": 0,      "available": 0    }  ],  "packageId": null,  "shippingProfileId": null,  "status": "draft",  "moderationReason": null,  "metaTitle": null,  "metaDescription": null,  "metaKeywords": null,  "featuredUntil": null,  "isFeatured": true,  "minOrderQuantity": 0,  "maxOrderQuantity": null,  "isDigital": true,  "hasVariants": true,  "hasOptions": true,  "hasModifiers": true,  "hasActivity": true,  "hasPriceLists": true,  "hasReviews": true,  "hasSizeGuide": true,  "modifierGroups": [    {      "id": "string",      "name": "string",      "description": null,      "isRequired": true,      "selectionType": "single",      "minSelections": 0,      "maxSelections": null,      "order": 0,      "status": "active",      "options": [        {          "id": "string",          "name": "string",          "priceDelta": 0.1,          "isDefault": true,          "imageUrl": null,          "order": 0,          "status": "active"        }      ]    }  ],  "sizeGuide": null,  "views": 0,  "salesCount": 0,  "reviewsCount": 0,  "collections": [    {      "id": "string",      "name": "string"    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null,  "lastActivityOn": null}